For discussion of Alpine Linux development and developer support

1

[alpine-devel] [PATCH] Postfix file descriptors patch

Jens Vehlhaber
Details
Message ID
<1413196676-22116-1-git-send-email-jens@eisfair.org>
Sender timestamp
1413196676
DKIM signature
missing
Download raw message
Patch: +2 -1
---
 main/postfix/APKBUILD | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/main/postfix/APKBUILD b/main/postfix/APKBUILD
index c9e1961..998d1a3 100644
--- a/main/postfix/APKBUILD
+++ b/main/postfix/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=postfix
 pkgver=2.11.1
-pkgrel=0
+pkgrel=1
 pkgdesc="Secure and fast drop-in replacement for Sendmail (MTA)"
 url="http://www.postfix.org/"
 arch="all"
@@ -43,6 +43,7 @@ prepare() {
 	sed -i -e "s|#define HAS_NIS|//#define HAS_NIS|g" \
 		-e "/^#define ALIAS_DB_MAP/s|:/etc/aliases|:/etc/postfix/aliases|" \
 		src/util/sys_defs.h || return 1
+	sed -i -e "s:(__GLIBC__ < 2):(defined(__GLIBC__) \&\& (__GLIBC__ < 2)):" src/util/sys_defs.h || return 1
 	sed -i -e "s:/usr/local/:/usr/:g" conf/master.cf || return 1
 }
 
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20141014084156.41cf7517@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1413196676-22116-1-git-send-email-jens@eisfair.org> (view parent)
Sender timestamp
1413268916
DKIM signature
missing
Download raw message
On Mon, 13 Oct 2014 12:37:56 +0200
Jens Vehlhaber <jens@eisfair.org> wrote:

> ---
>  main/postfix/APKBUILD | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
> 
> diff --git a/main/postfix/APKBUILD b/main/postfix/APKBUILD
> index c9e1961..998d1a3 100644
> --- a/main/postfix/APKBUILD
> +++ b/main/postfix/APKBUILD
> @@ -1,7 +1,7 @@
>  # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
>  pkgname=postfix
>  pkgver=2.11.1
> -pkgrel=0
> +pkgrel=1
>  pkgdesc="Secure and fast drop-in replacement for Sendmail (MTA)"
>  url="http://www.postfix.org/"
>  arch="all"
> @@ -43,6 +43,7 @@ prepare() {
>  	sed -i -e "s|#define HAS_NIS|//#define HAS_NIS|g" \
>  		-e "/^#define ALIAS_DB_MAP/s|:/etc/aliases|:/etc/postfix/aliases|" \
>  		src/util/sys_defs.h || return 1
> +	sed -i -e "s:(__GLIBC__ < 2):(defined(__GLIBC__) \&\& (__GLIBC__ < 2)):" src/util/sys_defs.h || return 1
>  	sed -i -e "s:/usr/local/:/usr/:g" conf/master.cf || return 1
>  }
>  

Fixed this by using a patch instead of sed. (so we detect when they fix
it upstream)

Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---